
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Introduction &#8212; K-shortest path direct travellers model  documentation</title>
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="dijkstraK" href="dijkstraK.html" />
    <link rel="prev" title="Documentation for the K-shortest path direct travellers model" href="index.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head>
  <body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="introduction">
<h1>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h1>
<p>The line planning problem in a public transport network (PTN) is to
find the optimal set of lines in the network, together with their frequencies,
that minimize a given cost.
In the direct travellers model, the optimal line plan is the one that maximizes the number
of passengers that do not have to change line on their journey (direct travellers).
In order to do so, we assume that each passenger chooses the paths of their journey in a given set,
called <em>set of preferable paths</em>; in particular, in this project we assume that this set is the set
of the k-shortest paths between the starting node and its destination.</p>
<p>The optimal line plan is computed with the function <a class="reference external" href="KSPDTM.html">KSPDTM</a>; the function uses
the <a class="reference external" href="dijkstraK.html">dijkstraK</a> function to compute the k-shortest paths between two nodes of the network,
and functions from the Python library <a class="reference external" href="https://pythonhosted.org/PuLP/">PuLP</a> to solve the optimization problem formulated as a
mixed-integer programming problem.</p>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">K-shortest path direct travellers model</a></h1>








<h3>Navigation</h3>
<p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Introduction</a></li>
<li class="toctree-l1"><a class="reference internal" href="dijkstraK.html">dijkstraK</a></li>
<li class="toctree-l1"><a class="reference internal" href="KSPDTM.html">KSPDTM</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
      <li>Previous: <a href="index.html" title="previous chapter">Documentation for the K-shortest path direct travellers model</a></li>
      <li>Next: <a href="dijkstraK.html" title="next chapter">dijkstraK</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <div><input type="text" name="q" /></div>
      <div><input type="submit" value="Go" /></div>
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2018, Armando Guardasole.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.6.3</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.10</a>
      
      |
      <a href="_sources/Introduction.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>